OpenWatcomFortranCompiler (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.openwatcom.OpenWatcomFortranCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.openwatcom
Class OpenWatcomFortranCompiler

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
          net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
              net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
                  net.sf.antcontrib.cpptasks.openwatcom.OpenWatcomCompiler
                      net.sf.antcontrib.cpptasks.openwatcom.OpenWatcomFortranCompiler

All Implemented Interfaces:
  java.lang.Cloneable, Compiler, Processor

    public final class OpenWatcomFortranCompiler

extends OpenWatcomCompiler

Adapter for the OpenWatcom Fortran compiler.

Author:
  Curt Arnold

Field Summary

Fields inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`DEFAULT_DISCARD_BID, DEFAULT_PROCESS_BID`

Method Summary
`Parser` | `createParser(java.io.File source)` Create dependency parser.
`static OpenWatcomFortranCompiler` | `getInstance()` Get instance.
`Linker` | `getLinker(LinkType type)` Get linker.

Methods inherited from class net.sf.antcontrib.cpptasks.openwatcom.OpenWatcomCompiler
`addImpliedArgs, addWarningSwitch, changeEnvironment, getDefineSwitch, getEnvironmentIncludePath, getIncludeDirSwitch, getMaximumCommandLength, getUndefineSwitch`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
`addIncludes, buildDefineArguments, compile, createConfiguration, getArgumentCountPerInputFile, getCommand, getIdentifier, getInputFileArgument, getLibtool, getLibtoolCompiler, getMaximumInputFilesPerCommand, getTotalArgumentLengthForInputFile, runCommand, setCommand`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
`canParse, createConfiguration, getBaseOutputName, getOutputFileNames, parseIncludes, resolveInclude`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`bid, clone, getHeaderExtensions, getIdentifier, getOSArch, getOSName, getSourceExtensions, isDarwin, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sf.antcontrib.cpptasks.compiler.Processor
`bid`

Method Detail

### getInstance

    public static OpenWatcomFortranCompiler getInstance()

  Get instance.

  Returns:
    OpenWatcomFortranCompiler compiler instance

### createParser

    public Parser createParser(java.io.File source)

  Create dependency parser.

  Specified by:
    `createParser` in class `AbstractCompiler`
  Parameters:
    `source` - File source file
  Returns:
    Parser parser

### getLinker

    public Linker getLinker(LinkType type)

  Get linker.

  Parameters:
    `type` - link type
  Returns:
    linker

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.